Commit a9047387 authored by Peter Hutterer's avatar Peter Hutterer

tools: measure-fuzz: fix exception printing

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/x86_64-linux-gnu/libinput/libinput-measure-fuzz", line 464, in <module>
    main(sys.argv)
  File "/usr/lib/x86_64-linux-gnu/libinput/libinput-measure-fuzz", line 458, in main
    print('Error: {}'.format(e.message))
AttributeError: 'InvalidConfigurationError' object has no attribute 'message'

Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>:
parent 99bb0ee7
......@@ -455,7 +455,7 @@ def main(args):
except PermissionError as e:
print('Permission denied, please re-run as root')
except InvalidConfigurationError as e:
print('Error: {}'.format(e.message))
print('Error: {}'.format(e))
except KeyboardInterrupt as e:
print('Exited on user request')
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment